<?xml version="1.0" encoding="gb2312"?>
<xs:schema xmlns:base="http://www.h3c.com/netconf/base:1.0" xmlns="http://www.h3c.com/netconf/action:1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.h3c.com/netconf/action:1.0" elementFormDefault="qualified">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"/>
  <xs:annotation>
    <xs:documentation>
      PoE Defination of action
    </xs:documentation>
  </xs:annotation>

  <xs:element name="PoE">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="PSEUpdate" minOccurs="0">
          <xs:annotation>
            <xs:documentation>
              Acion global table
            </xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name ="PSE"  minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>row name </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="PSEID" type="base:UnsignedInteger32">
                      <xs:annotation>
                        <xs:documentation>Actions on PseID</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="FileName" >
                      <xs:annotation>
                        <xs:documentation>Actions on FileName</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value ="1"></xs:minLength>
                            <xs:maxLength value="255"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Mode">
                      <xs:annotation>
                        <xs:documentation>
                          Updating mode.
                          Enumeration:
                          0 full.
                          1 refresh.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value ="0"/>
                            <xs:enumeration value ="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        <xs:element name="PSEs" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Clear Pse Statistic information.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="PSE"  minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="PSEID" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Index of the PSE
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PeakPower"  minOccurs="0" type="xs:unsignedInt"  fixed="0">
                      <xs:annotation>
                        <xs:documentation>
                          The peak power of the PD connected to the Poe interface.
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="AveragePower"  minOccurs="0"  type="xs:unsignedInt" fixed="0">
                      <xs:annotation>
                        <xs:documentation>
                          The average power of the PD connected to the Poe interface.
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        <xs:element name="Ports" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Clear Port Statistic information.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Port"  minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="PSEID" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Index of the PSE
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Interface index
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PeakPower" minOccurs="0"     type="xs:unsignedInt" fixed="0">
                      <xs:annotation>
                        <xs:documentation>
                          The peak power of the PD connected to the Poe interface.
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="AveragePower"  minOccurs="0" type="xs:unsignedInt" fixed="0">
                      <xs:annotation>
                        <xs:documentation>
                          The average power of the PD connected to the Poe interface.
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
